@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800&display=swap");

:root {
  --color-primary: #1e2be4;
  --color-primary-variant: #0c207c;
  --color-danger: #db3737;
  --color-warning: #e0c73b;
  --color-success: #3acec6;
  --color-white: #fff;
  --color-bg: #f1f1f1;
  --color-info-dark: #5f6c8f;
  --color-info-light: #c6cadf;
  --color-dark: #2c303d;
  --color-dark-variant: #575b6d;
  --color-light: rgba(153 168 158/0.18);
}

* {
  margin: 0;
  padding: 0;
  border: none;
  box-sizing: border-box;
  outline: 0;
  text-decoration: none;
  list-style: none;
}

body {
  font-family: "Poppins", sans-serif;
  width: 100vw;
  height: 100vh;
  overflow-x: hidden;
  font-size: 0.8rem;
  background-color: var(--color-bg);
  color: var(--color-dark);
}

.container {
  width: 96%;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 14rem auto 23rem;
  gap: 1.8rem;
}

.danger {
  color: var(--color-danger);
}

.success {
  color: var(--color-success);
}

.warning {
  color: var(--color-warning);
}

a {
  color: var(--color-dark);
  display: flex;
  gap: 1rem;
  justify-items: center;
}

.logo {
  display: flex;
  align-items: center;
  position: absolute;
  left: -0.5rem;
  top: -0.5rem;
}

.logo-img {
  width: 5rem;
}

.logo h2 {
  font-size: 1.6rem;
}

img {
  display: block;
  width: 100%;
}

.sidebar {
  display: flex;
  flex-direction: column;
  /* gap: 1.3rem; */
  margin-top: 6rem;
  margin-left: 0.5rem;
}

.sidebar a:last-child {
  position: absolute;
  bottom: 1.3rem;
  width: 16%;
}

.sidebar a {
  border-left: 5px solid transparent;
  transition: all 0.3s ease-in-out;
  padding: 0.6rem 0;
}

.sidebar a:hover {
  border-left: 5px solid var(--color-primary);
  background-color: var(--color-info-light);
}

.sidebar a span {
  margin-left: 1rem;
  margin-top: -0.2rem;
  font-size: 1.2rem;
}

h1 {
  font-weight: 800;
  font-size: 1.8rem;
}

h2 {
  font-size: 1.5rem;
}

h3 {
  font-size: 0.85rem;
}

h4 {
  font-size: 0.8rem;
}

h5 {
  font-size: 0.75rem;
}

small {
  font-size: 0.7rem;
}

.profile-photo {
  width: 2.8rem;
  aspect-ratio: 1/1;
  border-radius: 50%;
  overflow: hidden;
}

/* ================CENTER=================== */
.db-nav {
  display: flex;
  justify-content: space-between;
  margin-bottom: 1.1rem;
}

.admin-profile {
  display: flex;
  align-items: center;
}

.admin-profile:last-child {
  position: absolute;
  right: 1rem;
}

.admin-profile p span {
  font-weight: 600;
}

.welcome-note {
  text-align: right;
  margin-right: 0.5rem;
}

.center .dashboard {
  margin-top: 0.5rem;
}

.cards {
  display: flex;
  justify-content: space-between;
  gap: 1rem;
}

.card-sale,
.card-expense,
.card-income {
  width: 16rem;
  height: 12rem;
  background-color: var(--color-white);
  border-radius: 1.5rem;
  display: flex;
  justify-content: space-around;
  align-items: center;
  position: relative;
  box-shadow: 5px 5px 10px var(--color-info-light);
}

.card-left i {
  margin: 2.2rem 0 0 0;
}

.card-left h4 {
  margin: 2rem 0 0.4rem 0;
}

.card-left h3 {
  font-size: 1.2rem;
  font-weight: 800;
}

.card-left p {
  margin-top: 2rem;
}


.card-right .percentage {
  position: absolute;
  top: 6rem;
  right: 3.5rem;
  color: var(--color-white);
  font-weight: 600;
}

.card-left .uil {
  font-size: 1.5rem;
}

.dashboard h2 {
  margin: 2rem 0 1rem 0;
}

.orders-table {
  background-color: var(--color-white);
  border-radius: 1.5rem;
  box-shadow: 5px 5px 10px var(--color-info-light);
}

table {
  text-align: left;
  padding: 2rem 0;
  border-collapse: collapse;
  margin: auto;

  height: 15rem;
}

tr {
  border-bottom: 3px ridge var(--color-info-light);
  padding-bottom: 1rem;
}

th {
  padding: 0.8rem 2.5rem;
  margin: 0 1rem;
  border-bottom: 3px ridge var(--color-info-light);
}

td {
  padding: 0.3rem 2.5rem;
  margin: 0 1rem;
}

tr:last-of-type {
  border-bottom: none;
}

/* ===================RIGHT================ */
.right {
  position: absolute;
  right: 2rem;
  top: 4rem;
  width: 14rem;
}

.update {
  background-color: var(--color-white);
  border-radius: 1rem;
  padding: 0.5rem 0.5rem 0.1rem;
  box-shadow: 3px 3px 5px var(--color-info-light);
}

.update .admin-profile {
  flex-direction: row-reverse;
  justify-content: space-around;
  margin-bottom: 0.8rem;
  background-color: color;
}



.welcome-note p {
  text-align: left;
  margin-left: 1rem;
}

.muted {
  color: var(--color-info-light);
}

.update .profile-photo {
  width: 5rem;
}

.update .admin-profile:last-child {
  position: static;
}

.card-status {
  background-color: var(--color-white);
  border-radius: 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 0.5rem;
  padding: 0.5rem;
  box-shadow: 3px 3px 5px var(--color-info-light);
}

.add-product {
  color: var(--color-primary-variant);
  border-radius: 1rem;
  display: flex;
  padding: 0.8rem;
  border: 2px dashed var(--color-primary-variant);
  justify-content: center;

}

.card-status h3 {
  text-transform: uppercase;
}